Bug 65012 - Comments section improvements for all tree pane elements
Summary: Comments section improvements for all tree pane elements
Status: NEEDINFO
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: PC All
: P2 normal (vote)
Target Milestone: JMETER 5.4.1
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-19 19:53 UTC by eR@SeR
Modified: 2021-01-03 02:04 UTC (History)
0 users



Attachments
commentSectionImprovement.jmx (150.76 KB, application/xml)
2020-12-19 19:53 UTC, eR@SeR
Details
VRT 1 Duplicated (68.32 KB, image/jpeg)
2020-12-19 19:54 UTC, eR@SeR
Details
images (154.01 KB, application/x-zip-compressed)
2021-01-03 02:04 UTC, eR@SeR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eR@SeR 2020-12-19 19:53:16 UTC
Created attachment 37631 [details]
commentSectionImprovement.jmx

Hello,

If for some reason, text in the comment section is quite huge, when navigating to the commented element, IMO, the view is not expected. Please check the provided jmx as an example:

1. If clicked on VRT 1 element (one-line text in Comments), view (horizontal scroll bar) focuses the last character of the text.

The expected view could be like there is no comment at all i.e. horizontal scroll bar at the bottom is scrolled completely to the left.
----
2. If clicked on VRT 1 element, then mouse hover on any text box and use mouse wheel up several times, horizontal scroll bar moves slightly to the left.

The expected amount of lines to scroll could be the same as in the tree pane (expand Simple controller and use mouse wheel down/up several times to see the difference).
----
3. If clicked on VRT 1 element, then on the comment text box and pressed Home or Page Up button, the horizontal scroll bar is moved to the beginning of the text box.

The expected view could be that the horizontal scroll bar is scrolled completely to the left (to display initial view - like when used Ctrl+Page Up). If End or Page Down button is pressed, the horizontal scroll bar could be moved completely to the right (like when used Ctrl+Page Down).
----
4. If VRT 1 element is duplicated (Ctrl+Shift+C) and then the text from VRT 2 is completely copied and pasted to VRT 1 comment text box, overwriting whole text in it, comment text box is not expanded completely to the bottom (like it should), to show the last line of text. Check "VRT 1 Duplicated" image in next comment.
----
5. If clicked on VRT 3 element and used mouse wheel up/down several times, vertical scroll bar moves slightly up/down.

The expected amount of lines to scroll could be the same when mouse wheel up/down is used in the tree pane.
----
6. If clicked on VRT 3 element, then on the comment text box and pressed Ctrl+Home or Page Up button, the horizontal scroll bar is moved to the beginning of text box.

The expected view could be that the horizontal scroll bar is scrolled completely to the left (to display the initial view). If End or Page Down button is pressed, the horizontal scroll bar could be moved completely to the right.
----
Generally speaking, if clicked on any of 4 VRT listeners, the default view could be the initial one, same like there is no text inside the comments text box i.e. horizontal scroll bar is complete to the left and vertical to the top if there are multiple lines of text. Some of the expected results might differ from the regular behavior of the text box, so misinterpretations are possible - sorry for that. The goal is to make Comments section behavior better.

Particularly, I have stored a lot of SQLs in some tests and current behavior reduces UX. Maybe "Word wrap" checkbox option could solve most of the reported issues. Or fix reported ones and add Word wrap option as well. Whatever is done, I'm will test the changes.

Jmeter 5.4.1 54e820e
Microsoft Windows 10 Pro 64-bit
java version "1.8.0_251"
Comment 1 eR@SeR 2020-12-19 19:54:09 UTC
Created attachment 37632 [details]
VRT 1 Duplicated
Comment 2 Felix Schumacher 2021-01-02 12:10:09 UTC
Can you test the next nightly or trunk build and report, whether this is better/fixes your issue?

commit c9902261de609b9979bbc54664b5e10cf7d851cb
Author: Felix Schumacher <felix.schumacher@internetallee.de>
AuthorDate: Sat Jan 2 13:07:32 2021 +0100

    Better handling of displaying long comments in the GUI
    
    Enable linewrapping in the comments text area and shorten
    comments when used as tool-tips to 80 characters.
    
    Bugzilla 65012
---
 .../src/main/java/org/apache/jmeter/gui/AbstractJMeterGuiComponent.java | 2 ++
 src/core/src/main/java/org/apache/jmeter/gui/MainFrame.java             | 2 +-
 xdocs/changes.xml                                                       | 1 +
 3 files changed, 4 insertions(+), 1 deletion(-)
Comment 3 eR@SeR 2021-01-03 02:04:20 UTC
Created attachment 37683 [details]
images

Hi,

Points 1, 2, 3, 4 are fixed. Looks better, but there are several more to go (use the same jmx file):
----
Point 5 is not fixed. The expected amount of lines to scroll could be the same when the mouse wheel up/down is used in the tree pane.
----
Point 6 is not fixed. Currently focus is on the middle of text box. The default view could be the initial one, same like there is no text inside the comments text box.
----
7. Vertical scroll bar is shown in line 24 in VRT listener (it can differ as per screen size) resulting in that element view is decreased quite a bit. See image 1. The suggestion is to show the vertical scroll bar at line 2 in order to save the element view size.
----
8. If the comments text box is empty and if Enter button is pressed 6 or more times, separator (VRT Listener, HTTP Request...and where exists) is not moved to the current line size. See image 2. It should follow line size and adjust accordingly.
----
9. If complete text is deleted from View Results Tree 2, separator (VRT Listener, HTTP Request...and where exists) is not moved to current line size. See image 3. It should follow line size and adjust accordingly.

Jmeter 5.4.1 c990226
Microsoft Windows 10 Enterprise 64-bit
java version "14.0.1" 2020-04-14